Package wx :: Module animate :: Class Animation

[frames | no frames]

## Type Animation

    object --+
             |
        Object --+
                 |
     AnimationBase --+
                     |
                    Animation

Proxy of C++ Animation class

Method Summary
Animation | ``__init__`(self)` __init__(self, String name, int type=ANIMATION_TYPE_ANY) -> Animation
| `__del__(self)`
Colour | `GetBackgroundColour(self)`
int | `GetDisposalMethod(self, frame)`
Point | `GetFramePosition(self, frame)`
Size | `GetFrameSize(self, frame)`
Colour | `GetTransparentColour(self, frame)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

__init__(self, String name, int type=ANIMATION_TYPE_ANY) -> Animation

  Returns:
    Animation
  Overrides:
    `wx.animate.AnimationBase.__init__`

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216579628(...)
  Set Method:
    unknown--1216579572(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:09 2007 | http://epydoc.sf.net